curl --request POST \
--url https://api.tagada.io/api/public/v1/offers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"type": "upsell",
"enabled": true,
"limit": 20,
"offset": 0
}
'{
"upsells": [
{
"id": "upsell_abc123",
"offerTitle": "VIP Upgrade",
"type": "upsell",
"enabled": true,
"offers": [
{
"productId": "prod_123",
"variantId": "var_123",
"priceId": "price_123"
}
],
"triggers": [
{
"type": "any",
"productId": null
}
]
}
],
"total": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}offers
List offers
List upsell offers and order bumps for a store. Filter by type (upsell or orderbump), enabled status, and search text.
POST
/
api
/
public
/
v1
/
offers
/
list
curl --request POST \
--url https://api.tagada.io/api/public/v1/offers/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"storeId": "store_123",
"type": "upsell",
"enabled": true,
"limit": 20,
"offset": 0
}
'{
"upsells": [
{
"id": "upsell_abc123",
"offerTitle": "VIP Upgrade",
"type": "upsell",
"enabled": true,
"offers": [
{
"productId": "prod_123",
"variantId": "var_123",
"priceId": "price_123"
}
],
"triggers": [
{
"type": "any",
"productId": null
}
]
}
],
"total": 1
}{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Authorizations
Enter your API key as: Bearer your-api-key
Body
application/json
Response
Successful response
